kind: Service
apiVersion: v1
metadata:
  name: kafka-outside-0
  namespace: imxc
spec:
  selector:
    app: kafka
    kafka-broker-id: "0"
  ports:
    - protocol: TCP
      targetPort: 9094
      port: 32400
  type: ClusterIP
---
kind: Service
apiVersion: v1
metadata:
  name: kafka-outside-1
  namespace: imxc
spec:
  selector:
    app: kafka
    kafka-broker-id: "1"
  ports:
    - protocol: TCP
      targetPort: 9094
      port: 32401
  type: ClusterIP
---
kind: Service
apiVersion: v1
metadata:
  name: kafka-global-0
  namespace: imxc
spec:
  selector:
    app: kafka
    kafka-broker-id: "0"
  ports:
    - protocol: TCP
      targetPort: 9095
      port: 32500
  type: ClusterIP
---
kind: Service
apiVersion: v1
metadata:
  name: kafka-global-1
  namespace: imxc
spec:
  selector:
    app: kafka
    kafka-broker-id: "1"
  ports:
    - protocol: TCP
      targetPort: 9095
      port: 32501
  type: ClusterIP
---
apiVersion: v1
kind: Service
metadata:
  name: kafka-broker
  namespace: imxc
spec:
  type: ClusterIP
  ports:
    - port: 9094
      name: kafka
      protocol: TCP
      targetPort: 9094
  selector:
    app: kafka
---
apiVersion: v1
kind: Service
metadata:
  name: kafka-broker-global
  namespace: imxc
spec:
  type: ClusterIP
  ports:
    - port: 9095
      name: kafka
      protocol: TCP
      targetPort: 9095
  selector:
    app: kafka
